/* ==========================================================================
   Blog pagination standard style - begin
   ========================================================================== */

.mkdf-blog-pagination-wp {
    display: none;
}

.mkdf-blog-pagination {
    @include mkdfRelativeHolderLayout();
    margin: 0 0 30px;
    clear: both;
    
    ul {
        @include mkdfRelativeHolderLayout();
        padding: 0;
        margin: 0;
        list-style: none;
        text-align: center;
        
        li {
            position: relative;
            display: inline-block;
            vertical-align: top;
            margin: 0 6px;
            
            a {
                position: relative;
                display: inline-block;
	            vertical-align: middle;
	            margin: 0;
	            padding: 0;
				font-size: 14px;
				color: #ababab;

				&.mkdf-pag-active {
					color: $first-main-color;
				}

				&:hover {
					color: $first-main-color;
				}
            }
            
            &.mkdf-pag-prev,
            &.mkdf-pag-next,
            &.mkdf-pag-first,
            &.mkdf-pag-last {
	            top: -1px;
	            margin: 0;
	            
	            a {
		            font-size: 22px;
		
		            span {
			            display: block;
			            line-height: inherit;
			
			            &:before {
				            display: block;
				            line-height: inherit;
			            }
		            }
	            }
            }
        }
    }
}
/* ==========================================================================
   Blog pagination standard style - end
   ========================================================================== */

/* ==========================================================================
   Blog List shortcode pagination standard style - begin
   ========================================================================== */

.mkdf-blog-list-holder {
	
	&.mkdf-bl-pag-standard-blog-list {
		
		.mkdf-blog-list {
			opacity: 1;
			@include mkdfTransition(opacity .2s ease-out);
		}
		
		&.mkdf-bl-pag-standard-blog-list-animate {
			
			.mkdf-blog-list {
				opacity: 0;
			}
		}
	}
}

.mkdf-bl-standard-pagination {
	@include mkdfRelativeHolderLayout();
	margin: 20px 0 0;
	clear: both;
	
	ul {
		@include mkdfRelativeHolderLayout();
		padding: 0;
		margin: 0;
		list-style: none;
		text-align: center;
		
		li {
			position: relative;
			display: inline-block;
			vertical-align: top;
			margin: 0 12px;
			padding: 0;
			
			a {
				position: relative;
				display: inline-block;
				vertical-align: middle;
				margin: 0;
				padding: 0;
			}
			
			&.mkdf-bl-pag-active {
				
				a {
					color: $first-main-color;
				}
			}
			
			&.mkdf-bl-pag-prev,
			&.mkdf-bl-pag-next {
				position: absolute;
				top: 0;
				
				a {
					font-size: 30px;
					@include mkdfTransition(color .2s ease-out, opacity .2s ease-out);
					
					span {
						display: block;
						line-height: inherit;
						
						&:before {
							display: block;
							line-height: inherit;
						}
					}
				}
			}
			
			&.mkdf-bl-pag-prev {
				left: 0;
				
				a {
					opacity: 0;
				}
			}
			
			&.mkdf-bl-pag-next {
				right: 0;
				
				a {
					opacity: 1;
				}
			}
		}
	}
}

/* ==========================================================================
   Blog List shortcode pagination standard style - end
   ========================================================================== */

/* ==========================================================================
   Blog pagination load more style - begin
   ========================================================================== */

.mkdf-blog-pag-load-more {
	@include mkdfRelativeHolderLayout();
	margin: 40px 0 30px;
	text-align: center;
}
/* ==========================================================================
   Blog pagination load more style - end
   ========================================================================== */

/* ==========================================================================
   Blog pagination loading element style - begin
   ========================================================================== */

.mkdf-blog-pag-loading {
	position: relative;
	display: none;
	width: 100%;
	margin: 40px 0 20px;
	color: $default-heading-color;
	text-align: center;
	
	&.mkdf-standard-pag-trigger {
		position: absolute;
		top: 50px;
		left: 0;
	}
	
	&.mkdf-showing {
		display: block;
	}
	
	> div {
		position: relative;
		display: inline-block;
		vertical-align: middle;
		width: 14px;
		height: 14px;
		margin: 0 3px;
		background-color: $default-heading-color;
		border-radius: 100%;
		@include mkdfAnimation(bl-pag-bouncedelay 1.4s infinite ease-in-out both);
	}
	
	.mkdf-blog-pag-bounce1 {
		-webkit-animation-delay: -0.32s;
		-moz-animation-delay: -0.32s;
		animation-delay: -0.32s;
	}
	
	.mkdf-blog-pag-bounce2 {
		-webkit-animation-delay: -0.16s;
		-moz-animation-delay: -0.16s;
		animation-delay: -0.16s;
	}
}

@-webkit-keyframes bl-pag-bouncedelay {
	0%, 80%, 100% {
		-webkit-transform: scale(0);
	}
	40% {
		-webkit-transform: scale(1.0);
	}
}

@-moz-keyframes bl-pag-bouncedelay {
	0%, 80%, 100% {
		-moz-transform: scale(0);
	}
	40% {
		-moz-transform: scale(1.0);
	}
}

@keyframes bl-pag-bouncedelay {
	0%, 80%, 100% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}
	40% {
		-webkit-transform: scale(1.0);
		transform: scale(1.0);
	}
}
/* ==========================================================================
   Blog pagination loading element style - end
   ========================================================================== */